import React from 'react';
export interface ConfirmDialogOptions {
    title?: React.ReactNode;
    actionButtonText: string;
    actionButtonClass?: string;
    cancelButtonText?: string;
    modalClass?: string;
}
export declare type Confirmation = string | React.ReactElement;
/** Imperative-style confirm dialog backed by `react-confirm`. */
export declare function confirm(confirmation: Confirmation, options: ConfirmDialogOptions): Promise<void>;
export interface ConfirmDialogProps extends ConfirmDialogOptions {
    confirmation: Confirmation;
    proceed: () => void;
    cancel: () => void;
    loading?: boolean;
    closeRef?: React.MutableRefObject<() => void>;
    modalClass?: string;
}
/** Standalone confirm dialog that does not use `react-confirm`. */
export declare function ConfirmDialog({ confirmation, proceed, cancel, actionButtonText, actionButtonClass, loading, title, cancelButtonText, closeRef, modalClass, }: ConfirmDialogProps): React.ReactElement;
