import React from 'react';
export interface FormCheckProps {
    name?: string;
    label: React.ReactNode;
    defaultChecked?: boolean;
    checked?: boolean;
    onChange?(): void;
    enabled?: boolean;
    readOnly?: boolean;
    className?: string;
    inline?: boolean;
    autoComplete?: 'on' | 'off';
    tabIndex?: number;
}
/**
 * An easy to use checkbox component.
 *
 * ```
 * <FormCheck
 *     checked={myBoolean}
 *     onChange={() => setMyBoolean(b => !b)}
 *     label="My checkbox"
 * />
 * ```
 *
 * `inline` is true by default and should be set to false if you want to display
 * a vertical stack of checkboxes.
 */
export declare const FormCheck: React.NamedExoticComponent<FormCheckProps>;
