import React, { ReactElement } from 'react';
export interface FormGroupProps {
    label?: string | ReactElement;
    className?: string;
    style?: React.CSSProperties;
    loading?: boolean;
    optional?: boolean;
    children?: React.ReactNode | ((id: string) => React.ReactNode);
    'data-testid'?: string;
}
/**
 * Renders a form input and corresponding label.
 *
 * The children of this component can either be a JSX element or a function that
 * maps `id` string to a JSX element (better for accessibility).
 */
export declare function FormGroup({ label, className, style, loading, optional, ...props }: FormGroupProps): ReactElement;
