import React from 'react';
export interface SubmitButtonOwnProps {
    element?: 'button' | 'a';
    submitting: boolean;
    /** Enable/disable the onClick event without changing the button style. */
    onClickEnabled?: boolean;
    /**
     * Enable/disable the onClick event and change the button style.
     * If provided, overrides the value of onClickEnabled.
     */
    enabled?: boolean;
    type?: 'button' | 'submit' | 'reset';
}
export declare type SubmitButtonProps = SubmitButtonOwnProps & (Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, 'type'> | Omit<React.HTMLProps<HTMLAnchorElement>, 'type'>);
/**
 * Submit button/link that displays a loading indicator and disables the onClick handler
 * when `submitting=true`.
 */
export declare function SubmitButton({ element, submitting, children, onClick, onClickEnabled, enabled, className, type, ...passThroughProps }: SubmitButtonProps): React.ReactElement;
