import React from 'react';
export interface TabOptions {
    className?: string;
}
/** `[tabId, tabName, tabOptions]` */
export declare type Tab = [string, string] | [string, string, TabOptions];
export interface TabLayoutProps {
    tabs: Tab[];
    tab: string;
    onTabClick(tabId: string): void;
    children?: React.ReactNode;
    className?: string;
    tabContentRef?: React.Ref<HTMLDivElement>;
    tabContentStyle?: React.CSSProperties;
}
/**
 * A presentational component for building user interfaces with tabs.
 *
 * Usually you want to use [[`TabManager`]] which builds on top of `TabLayout`.
 */
export declare function TabLayout({ tabs, children, tab, onTabClick, tabContentRef, tabContentStyle, className, }: TabLayoutProps): React.ReactElement;
