import React, { PropsWithChildren } from 'react';
export interface UnitInputContainerProps {
    unit: React.ReactNode;
    className?: string;
}
/**
 * Displays an input along with a unit.
 *
 * ```
 * <UnitInputContainer unit="km">
 *     <ValidatedInput />
 * </UnitInputContainer>
 * ```
 */
export declare function UnitInputContainer({ children, unit, className, }: PropsWithChildren<UnitInputContainerProps>): React.ReactElement;
