import React from 'react';
import { UseValidationProps } from '@interface-technologies/iti-react-core';
import { GetSelectStyles } from '../Select';
import { AddressInputValue } from './AddressInputValue';
export interface AddressInputProps extends UseValidationProps<AddressInputValue> {
    individualInputsRequired: boolean;
    enabled?: boolean;
    getStateSelectStyles?: GetSelectStyles;
    allowCanadian?: boolean;
}
/**
 * A validated address input. Supports US and Canadian addresses.
 *
 * Field lengths and the default value of `allowCanadian` are configured via
 * [[`ItiReactContext`]].
 */
export declare const AddressInput: React.MemoExoticComponent<({ showValidation, getStateSelectStyles, individualInputsRequired, enabled, ...otherProps }: AddressInputProps) => JSX.Element>;
