import { Validator } from '@interface-technologies/iti-react-core';
import { PostalCodeValidationOptions } from './PostalCodeValidator';
import { AddressInputValue } from './AddressInputValue';
import { AddressInputFieldLengths } from './AddressInputFieldLengths';
/**
 * Only use this if making your own address input.
 */
declare function disallowPartialAddress(): Validator<AddressInputValue>;
/**
 * Only use this if making your own address input.
 */
declare function allFieldsValid(postalCodeValidationOptions: PostalCodeValidationOptions): Validator<AddressInputValue>;
/**
 * Only use this if making your own address input.
 */
declare function allFieldLengthsValid(fieldLengths: AddressInputFieldLengths): Validator<AddressInputValue>;
declare function required(): Validator<AddressInputValue>;
/** Validators for use with [[`AddressInput`]]. */
export declare const AddressValidators: {
    required: typeof required;
};
/** Validators you can use to build your own custom address input. */
export declare const InternalAddressValidators: {
    disallowPartialAddress: typeof disallowPartialAddress;
    allFieldsValid: typeof allFieldsValid;
    allFieldLengthsValid: typeof allFieldLengthsValid;
};
export {};
