import { Validator } from '@interface-technologies/iti-react-core';
export interface PostalCodeValidationOptions {
    allowCanadian: boolean;
}
export declare const defaultPostalCodeValidationOptions: PostalCodeValidationOptions;
/**
 * Determines if a postal code is valid. US 5-digit, US 9-digit, and Canadian postal
 * codes are supported.
 */
export declare function isPostalCodeValid(code: string, options?: PostalCodeValidationOptions): boolean;
/**
 * Validator for a postal code input. Uses [[`isPostalCodeValid`]].
 */
export declare function postalCodeValidator(options?: PostalCodeValidationOptions): Validator<string>;
