import { GroupBase } from 'react-select';
import { SelectOption } from '../Select';
/** A US state or Canadian province. */
export interface StateOrProvince {
    abbr: string;
    name: string;
}
export declare const canadianProvinces: StateOrProvince[];
/** Get a list of US states and/or Canadian provinces. */
export declare function getStates(options: {
    includeUsStates: boolean;
    includeCanadianProvinces: boolean;
}): StateOrProvince[];
/** Get a list of [[`SelectOption`]]s for US states and/or Canadian provinces. */
export declare function getStateOptions(options: {
    includeUsStates: boolean;
    includeCanadianProvinces: boolean;
}): SelectOption[] | GroupBase<SelectOption>[];
