import React from 'react';
import { UseValidationProps, Validator } from '@interface-technologies/iti-react-core';
export declare type FileInputValue = File | null;
export interface FileInputProps extends UseValidationProps<FileInputValue> {
    id?: string;
    /**
     * `file_extension|audio/*|video/*|image/*|media_type`
     *
     * Passed directly to the underlying `input` element.
     */
    accept: string;
    inputAttributes?: React.HTMLProps<HTMLInputElement>;
    enabled?: boolean;
}
/**
 * A file upload control that can be made a required field.
 */
export declare function FileInput({ id, accept, enabled, inputAttributes, showValidation, name, ...props }: FileInputProps): React.ReactElement;
declare function required(): Validator<FileInputValue>;
/** For use with [[`FileInput`]]. */
export declare const FileValidators: {
    required: typeof required;
};
export {};
