import React from 'react';
import { UseValidationProps, Validator } from '@interface-technologies/iti-react-core';
/** Validates a phone number. Automatically used by [[`PhoneInput`]]. */
export declare const phoneInputValidator: Validator<string>;
export interface PhoneInputProps extends UseValidationProps<string> {
    id?: string;
    inputAttributes?: React.HTMLProps<HTMLInputElement>;
    enabled?: boolean;
}
/**
 * A validated phone number input. It automatically adds the US/Canada country code (1)
 * to the value. Other country codes are not currently supported.
 *
 * You don't have to pass in a validator that checks that the phone number is valid —
 * this is done automatically. `PhoneInput` can be used with `Validators.required()`.
 */
export declare function PhoneInput({ id, showValidation, enabled, name, inputAttributes, ...props }: PhoneInputProps): React.ReactElement;
