import React from 'react';
import { UseValidationProps, Validator } from '@interface-technologies/iti-react-core';
import { RadioButtonOptions } from './RadioInput';
export declare type BooleanRadioInputValue = boolean | null;
export interface BooleanRadioInputProps extends UseValidationProps<BooleanRadioInputValue> {
    labels?: {
        false: string;
        true: string;
    };
    trueFirst?: boolean;
    enabled?: boolean;
    buttonOptions?: Partial<RadioButtonOptions>;
}
/**
 * Wrapper around [[`RadioInput`]] for when there are only two options, true and false.
 */
export declare function BooleanRadioInput({ trueFirst, value, onChange, defaultValue, validators, labels, asyncValidator, ...passThroughProps }: BooleanRadioInputProps): React.ReactElement;
declare function required(): Validator<BooleanRadioInputValue>;
export declare const BooleanRadioValidators: {
    required: typeof required;
};
export {};
