import React from 'react';
import { UseValidationProps, Validator } from '@interface-technologies/iti-react-core';
import { RadioOption, RadioInputValue } from './RadioInputTypes';
export interface RadioButtonOptions {
    inline: boolean;
}
export interface RadioInputProps extends UseValidationProps<RadioInputValue> {
    options: RadioOption[];
    enabled?: boolean;
    buttonOptions?: Partial<RadioButtonOptions>;
}
/**
 * Radio button input. It renders a group of radio buttons based on the `options` you
 * pass in.
 *
 * You can customize the style of both the container and the individual radio buttons
 * / labels. Use the devtools element inspector to see the class names you need to
 * target.
 */
export declare const RadioInput: React.NamedExoticComponent<RadioInputProps>;
declare function required(): Validator<RadioInputValue>;
export declare const RadioValidators: {
    required: typeof required;
};
export {};
