import { MenuPlacement } from 'react-select';
import { SelectComponentsConfig } from 'react-select/dist/declarations/src/components';
import { SelectOption } from './SelectOption';
import { GetSelectStyles } from './GetSelectStyles';
/**
 * Props that apply to all of the select components: [[`ValidatedSelect`]],
 * [[`ValidatedMultiSelect`]], and [[`ValidatedAsyncSelect`]].
 */
export interface CommonSelectProps {
    id?: string;
    isClearable?: boolean;
    isLoading?: boolean;
    enabled?: boolean;
    isOptionEnabled?(option: SelectOption): boolean;
    placeholder?: string;
    className?: string;
    formControlSize?: 'sm' | 'lg';
    width?: number;
    getStyles?: GetSelectStyles;
    'aria-label'?: string;
    'aria-labelledby'?: string;
    components?: SelectComponentsConfig<any, boolean, any>;
    menuIsOpen?: boolean;
    onMenuOpen?(): void;
    onMenuClose?(): void;
    menuPlacement?: MenuPlacement;
}
/** @internal */
export declare const defaultSelectProps: Required<Pick<CommonSelectProps, 'enabled' | 'isClearable' | 'getStyles' | 'menuPlacement'>>;
