import { GroupBase, createFilter } from 'react-select';
/** The option object that's used with all of our Select components. */
export interface SelectOption {
    value: string | number;
    label: string;
    isDisabled?: boolean;
    /** Only applies to multiselect */
    isFixed?: boolean;
}
/**
 * Takes in a list of normal [[`SelectOption`]]s and "group" select options
 * and flattens it out into a list of normal [[`SelectOption`]]s.
 */
export declare function getNonGroupOptions(options: (SelectOption | GroupBase<SelectOption>)[]): SelectOption[];
/**
 * @internal
 *
 * Makes it so typing in one of our select components filters the options by the `label`
 * only, not the `label` and the `value` which is the default behavior.
 *
 * See https://react-select.com/advanced#custom-filter-logic.
 */
export declare const filterOption: ReturnType<typeof createFilter>;
