import React from 'react';
import { GroupBase } from 'react-select';
import { UseValidationProps, Validator } from '@interface-technologies/iti-react-core';
import { CommonSelectProps } from './CommonSelectProps';
import { SelectOption } from './SelectOption';
/** The value type for [[`ValidatedSelect`]]. */
export declare type SelectValue = string | number | null;
export interface ValidatedSelectProps extends CommonSelectProps, UseValidationProps<SelectValue> {
    id?: string;
    options: SelectOption[] | GroupBase<SelectOption>[];
}
/**
 * A validated dropdown component based on `react-select`.
 *
 * This component is expensive to render so use `React.memo` when necessary.
 */
export declare const ValidatedSelect: React.MemoExoticComponent<({ id, name, options, validators, showValidation, placeholder, className, formControlSize, width, components, isLoading, enabled, isClearable, getStyles, isOptionEnabled, menuIsOpen, onMenuOpen, onMenuClose, menuPlacement, ...props }: ValidatedSelectProps) => JSX.Element>;
declare function required(): Validator<SelectValue>;
export declare const SelectValidators: {
    required: typeof required;
};
export {};
