import React from 'react';
import { Validator, UseValidationProps } from '@interface-technologies/iti-react-core';
export declare type TimeZoneInputValue = string | null;
/**
 * @internal
 *
 * Because tzdb groups time zones, there isn't a SelectOption for every IANA time zone.
 * This function converts the value to a time zone that has an option.
 */
export declare function resolveValue(value: TimeZoneInputValue, onChange: (value: TimeZoneInputValue) => void): void;
export interface TimeZoneInputProps extends UseValidationProps<TimeZoneInputValue> {
    id?: string;
    name: string;
    placeholder?: string;
    formControlSize?: 'sm' | 'lg';
    isClearable?: boolean;
    width?: number;
    enabled?: boolean;
}
/**
 * A time zone dropdown. The 4 common US time zones are shown first, followed by every
 * other time zone. It uses the `@vvo/tzdb` time zone database.
 */
export declare function TimeZoneInput({ id, name, placeholder, formControlSize, isClearable, width, validators, showValidation, enabled, asyncValidator, onAsyncError, onValidChange, validationKey, ...props }: TimeZoneInputProps): React.ReactElement;
declare function required(): Validator<TimeZoneInputValue>;
export declare const TimeZoneValidators: {
    required: typeof required;
};
export {};
