import React from 'react';
import { UseValidationProps } from '@interface-technologies/iti-react-core';
export declare type ValidatedInputOmittedHtmlProps = 'id' | 'name' | 'class' | 'disabled' | 'value' | 'onChange';
export interface ValidatedInputProps extends UseValidationProps<string> {
    id?: string;
    type?: string;
    /**
     * This class name will be used **in addition to** `form-control` and the
     * validation feedback class.
     */
    className?: string;
    enabled?: boolean;
    inputAttributes?: Omit<React.HTMLProps<HTMLInputElement>, ValidatedInputOmittedHtmlProps> | Omit<React.HTMLProps<HTMLTextAreaElement>, ValidatedInputOmittedHtmlProps>;
}
export declare const ValidatedInput: React.MemoExoticComponent<({ id, type, showValidation, enabled, name, ...otherProps }: ValidatedInputProps) => JSX.Element>;
